## hcloud-python 1.18.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = hcloud
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## hcloud-python 1.9.1

=== debian/changelog ===
hcloud-python (1.9.1-2) unstable; urgency=medium

  * Initial release (Closes: #933820)

 -- Leo Antunes <costela@debian.org>  Tue, 18 Aug 2020 12:23:06 +0200

=== debian/control ===
Source: hcloud-python
Section: python
Priority: optional
Maintainer: Leo Antunes <costela@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python-setuptools, python3-all, python3-setuptools, python3-pytest
Standards-Version: 4.5.0
Homepage: https://github.com/hetznercloud/hcloud-python
Vcs-Browser: https://salsa.debian.org/costela/hcloud-python
Vcs-Git: https://salsa.debian.org/costela/hcloud-python.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-hcloud
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: official client library for Hetzner Cloud (Python 3)
 python-hcloud is a Python library for acessing the API for the Hetzner
 Cloud service.

## hcloud-python 1.10.0

=== debian/changelog ===
hcloud-python (1.10.0-1) unstable; urgency=medium

  * [16e53ba1] update VCS urls to point to new DPMT home
  * [fe9c0635] New upstream version 1.10.0

 -- Leo Antunes <costela@debian.org>  Tue, 03 Nov 2020 22:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python-setuptools, python3-all, python3-setuptools, python3-pytest
 Standards-Version: 4.5.0
 Homepage: https://github.com/hetznercloud/hcloud-python
-Vcs-Browser: https://salsa.debian.org/costela/hcloud-python
-Vcs-Git: https://salsa.debian.org/costela/hcloud-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/hcloud-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/hcloud-python.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=hcloud
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## hcloud-python 1.16.0

=== debian/changelog ===
hcloud-python (1.16.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Oct 2021 16:29:25 -0400

hcloud-python (1.16.0-1) unstable; urgency=medium

  * [525bd4cd] New upstream version 1.16.0

 -- Leo Antunes <costela@debian.org>  Sun, 29 Aug 2021 09:31:39 +0200

hcloud-python (1.15.0-1) unstable; urgency=medium

  * [316aaca3] New upstream version 1.15.0

 -- Leo Antunes <costela@debian.org>  Mon, 16 Aug 2021 12:08:36 +0200

hcloud-python (1.14.1-1) experimental; urgency=medium

  * [2eabdf56] New upstream version 1.14.1

 -- Leo Antunes <costela@debian.org>  Wed, 11 Aug 2021 21:17:58 +0200

hcloud-python (1.13.0-1) experimental; urgency=medium

  * [91860bf8] New upstream version 1.13.0

 -- Leo Antunes <costela@debian.org>  Wed, 21 Jul 2021 10:24:31 +0200

hcloud-python (1.11.0-1) experimental; urgency=medium

  * [d47dc792] New upstream version 1.11.0

 -- Leo Antunes <costela@debian.org>  Thu, 11 Mar 2021 18:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Leo Antunes <costela@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python-setuptools, python3-all, python3-setuptools, python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/hetznercloud/hcloud-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hcloud-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/hcloud-python.git

## hcloud-python 1.18.0

=== debian/changelog ===
hcloud-python (1.18.0-1) unstable; urgency=medium

  * [31e67444] New upstream version 1.18.0
  * [e377531a] chore(debian): bump policy to 4.6.1.0 (no changes)
  * [6599ba5e] chore(debian/copyright): bump year

 -- Leo Antunes <costela@debian.org>  Mon, 22 Aug 2022 23:28:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Leo Antunes <costela@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python-setuptools, python3-all, python3-setuptools, python3-pytest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/hetznercloud/hcloud-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hcloud-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/hcloud-python.git

## hcloud-python 1.18.1

=== debian/changelog ===
hcloud-python (1.18.1-3) unstable; urgency=medium

  * [a367a8fb] chore(debian): add python team as maintainer; myself as uploader
    (Closes: #1024199)
  * [21f1986f] fix(deps): drop stale build dep on python-setuptools
    (Closes: #1024188, #1024201)

 -- Leo Antunes <costela@debian.org>  Wed, 16 Nov 2022 21:12:30 +0100

hcloud-python (1.18.1-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop python-setuptools (Closes: #1024201)

 -- Bastian Germann <bage@debian.org>  Tue, 15 Nov 2022 23:45:32 +0100

hcloud-python (1.18.1-2) unstable; urgency=medium

  * Source only upload.

 -- Leo Antunes <costela@debian.org>  Tue, 01 Nov 2022 18:35:00 +0100

hcloud-python (1.18.1-1) unstable; urgency=medium

  * [d2aa3fd5] New upstream version 1.18.1

 -- Leo Antunes <costela@debian.org>  Tue, 01 Nov 2022 18:19:14 +0100

## hcloud-python 1.18.2

=== debian/changelog ===
hcloud-python (1.18.2-1) unstable; urgency=medium

  * [626d7739] New upstream version 1.18.2

 -- Leo Antunes <costela@debian.org>  Wed, 28 Dec 2022 22:07:59 +0100

hcloud-python (1.18.1-4) unstable; urgency=high

  * Team upload
  * Source-only reupload

 -- Bastian Germann <bage@debian.org>  Mon, 21 Nov 2022 21:28:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: hcloud-python
 Section: python
 Priority: optional
-Maintainer: Leo Antunes <costela@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python-setuptools, python3-all, python3-setuptools, python3-pytest
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Leo Antunes <costela@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/hetznercloud/hcloud-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hcloud-python

## hcloud-python 1.20.0

=== debian/changelog ===
hcloud-python (1.20.0-1) unstable; urgency=medium

  * [54f8e73d] New upstream version 1.20.0

 -- Leo Antunes <costela@debian.org>  Mon, 15 May 2023 23:47:22 +0200

hcloud-python (1.19.0-1) unstable; urgency=medium

  * [6febb51f] New upstream version 1.19.0
  * [c794682a] chore(debian): bump policy to 4.6.2 (no changes)

 -- Leo Antunes <costela@debian.org>  Fri, 21 Apr 2023 23:42:43 +0200

## hcloud-python 1.23.1

=== debian/changelog ===
hcloud-python (1.23.1-1) unstable; urgency=medium

  * [4aeb011c] New upstream version 1.23.1

 -- Leo Antunes <costela@debian.org>  Sun, 02 Jul 2023 21:38:03 +0200

## hcloud-python 1.25.0

=== debian/changelog ===
hcloud-python (1.25.0-1) unstable; urgency=medium

  * [f4ab504b] New upstream version 1.25.0

 -- Leo Antunes <costela@debian.org>  Fri, 14 Jul 2023 23:50:55 +0200

## hcloud-python 1.26.0

=== debian/changelog ===
hcloud-python (1.26.0-1) unstable; urgency=medium

  * [53d4a2cb] New upstream version 1.26.0

 -- Leo Antunes <costela@debian.org>  Thu, 20 Jul 2023 23:28:15 +0200

## hcloud-python 1.31.0

=== debian/changelog ===
hcloud-python (1.31.0-1) unstable; urgency=medium

  * [adbd6455] New upstream version 1.31.0

 -- Leo Antunes <costela@debian.org>  Sat, 04 Nov 2023 15:15:17 +0100

## hcloud-python 1.33.2

=== debian/changelog ===
hcloud-python (1.33.2-1) unstable; urgency=medium

  * [0e2f2dbe] New upstream version 1.33.2

 -- Leo Antunes <costela@debian.org>  Sat, 06 Jan 2024 14:13:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Leo Antunes <costela@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/hetznercloud/hcloud-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hcloud-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/hcloud-python.git

## hcloud-python 1.35.0

=== debian/changelog ===
hcloud-python (1.35.0-1) unstable; urgency=medium

  * [d85fdedd] New upstream version 1.35.0

 -- Leo Antunes <costela@debian.org>  Fri, 10 May 2024 20:59:00 +0200

## hcloud-python 2.3.0

=== Makefile ===
SHELL := bash
.PHONY: test coverage docs clean

venv:
	python3 -m venv venv
	venv/bin/pip install -e .[docs,test]

lint: venv
	venv/bin/pylint hcloud
	venv/bin/mypy hcloud

test: venv
	venv/bin/pytest -v

coverage: venv
	venv/bin/coverage run -m pytest -v
	venv/bin/coverage report --show-missing
	venv/bin/coverage html
	xdg-open htmlcov/index.html

export SPHINXBUILD=../venv/bin/sphinx-build
docs: venv
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	xdg-open docs/_build/html/index.html

docs-dev: venv docs
	venv/bin/watchmedo shell-command \
		--patterns="*.py;*.rst;*.md;*.css" \
		--ignore-pattern=".git/*" \
		--recursive \
		--drop \
		--command="$(MAKE) -C docs html" \
		.

clean:
	git clean -xdf

=== debian/changelog ===
hcloud-python (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Geovanna Maciel <geoojv@gmail.com>  Tue, 10 Dec 2024 23:18:51 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Leo Antunes <costela@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/hetznercloud/hcloud-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hcloud-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/hcloud-python.git

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://pypi.debian.net/hcloud/hcloud-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
